Data.Aeson

# How to use this library

## Working with the AST

## Decoding to a Haskell value

## Decoding a mixed-type object

## Automatically decoding data types

## Pitfalls

# Encoding and decoding

decode

decode'

eitherDecode

eitherDecode'

encode

## Variants for strict bytestrings

decodeStrict

decodeStrict'

eitherDecodeStrict

eitherDecodeStrict'

# Core JSON types

data Value

type Array

type Object

# Convenience types

data DotNetTime

# Type conversion

class FromJSON a

data Result a

fromJSON

class ToJSON a

## Generic JSON classes

class GFromJSON f

class GToJSON f

genericToJSON

genericParseJSON

# Inspecting ``Value`s`

withObject

withText

withArray

withNumber

withBool

# Constructors and accessors

(.=)

(.:)

(.:?)

(.!=)

object

# Parsing

json

json'